> ## Documentation Index
> Fetch the complete documentation index at: https://docs.varchev.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post upload image



## OpenAPI

````yaml KYC post /uploadImage
openapi: 3.0.1
info:
  title: KYC
  description: kyc
  version: 1.0.0
servers:
  - url: https://gateway.varchev.com/kyc
security: []
paths:
  /uploadImage:
    post:
      parameters:
        - name: x-token
          in: header
          required: true
          style: simple
          explode: false
          schema:
            type: string
            description: authentication token from /authorize response
      requestBody:
        description: Sample Payload
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UploadRequest'
        required: false
      responses:
        '200':
          description: successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UploadResponse'
      security:
        - default: []
components:
  schemas:
    UploadRequest:
      required:
        - sessionId
      type: object
      properties:
        purpose:
          type: string
        imageData:
          $ref: '#/components/schemas/image'
        metaData:
          $ref: '#/components/schemas/meta'
        organizationId:
          type: string
    UploadResponse:
      required:
        - id
      type: object
      properties:
        id:
          type: string
    image:
      properties:
        id_front_side:
          type: string
        id_back_side:
          type: string
        selfie:
          type: string
        passport:
          type: string
    meta:
      properties:
        type:
          type: string
        value:
          $ref: '#/components/schemas/metaDetail'
    metaDetail:
      properties:
        customerId:
          type: string
        aud:
          type: string
        data:
          type: string
  securitySchemes:
    default:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: https://test.com
          scopes: {}

````